import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/revise_index_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/revise_index_s_g_entity.g.dart';

@JsonSerializable()
class ReviseIndexSGEntity {
	@JSONField(name: "status_list")
	List<ReviseIndexSGStatusList> statusList = [];

	ReviseIndexSGEntity();

	factory ReviseIndexSGEntity.fromJson(Map<String, dynamic> json) => $ReviseIndexSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $ReviseIndexSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ReviseIndexSGStatusList {
	String? value = null;
	String? txt = null;
	String? selected = null;

	ReviseIndexSGStatusList();

	factory ReviseIndexSGStatusList.fromJson(Map<String, dynamic> json) => $ReviseIndexSGStatusListFromJson(json);

	Map<String, dynamic> toJson() => $ReviseIndexSGStatusListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}